.post {
  padding: 4rem 1.35rem 8rem;
}

.post__wrapper {
  width: 100%;
  max-width: 744px;
  margin: 0 auto;
}

.post__tags {
  display: flex;
  justify-content: space-between;
}

.post__tag {
  padding: 0.4rem 0.8rem;
  background-color: #fff;
  border-radius: 2px;
  border: 1px solid #707070;
  color: #707070;
  font-family: var(---sans-font);
  font-size: 1.2rem;
  line-height: 1.7rem;
  width: fit-content;
}

.post__main-title {
  font-size: 2.4rem;
  line-height: 3.2rem;
  text-align: center;
  margin: 2rem auto;
}

.post__swiper {
  width: calc(100% - 28px);
  aspect-ratio: 320 / 180;
  margin-bottom: 10px;
}

.post__swiper .swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.post-thumbs {
  width: calc(100% - 28px);
}

.post-thumbs .swiper-slide {
  width: calc(25% - 7.5px);
  aspect-ratio: 72 / 40;
}

.post-thumbs .swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: all 0.3s;
}

.swiper-slide-thumb-active img {
  filter: brightness(0.7);
  opacity: 0.8;
}

.swiper-buttons {
  width: 100%;
  margin: 20px auto 0;
  display: flex;
  justify-content: space-between;
  position: relative;
  z-index: 2;
}

.swiper-button {
  width: 30px;
  height: 30px;
  background-image: url(../images/common/slider-arrow-blue.svg);
  background-size: contain;
  background-repeat: no-repeat;
}

.swiper-button--next {
  transform: scaleX(-1);
}

.post__info {
  width: calc(100% - 28px);
  margin: 2rem auto 4.2rem;
  font-size: 1.6rem;
  font-weight: 700;
  line-height: 1.5;
  color: #000;
}

.post__subtitle {
  font-size: 2rem;
  line-height: 2.4rem;
  background-color: #fff;
  border-left: 10px solid #2d4074;
  padding: 0.8rem 1rem 1rem 1rem;
}

.post__subtitle--margin {
  margin-top: 4rem;
}

.post__sub-subtitle {
  font-size: 1.8rem;
  line-height: 2rem;
  margin: 3rem auto 2rem;
  border-bottom: 1px solid #707070;
  padding: 0 1rem 1rem 1rem;
}

.post__images {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  justify-content: center;
  margin: 2rem 0;
}

.post__image {
  background-color: #707070;
  object-fit: cover;
  width: min(85.33vw, 320px);
  aspect-ratio: 320 / 172;
}

.link {
  margin-top: 3rem;
}

.post__nav {
  width: 100%;
  display: flex;
  justify-content: space-between;
  margin: 3rem auto 0;
  position: relative;
}

.post__nav-button {
  position: relative;
  display: flex;
  gap: 20px;
  justify-content: center;
  align-items: center;
  width: 144px;
  height: 40px;
  border: 1px solid #707070;
  border-radius: 2px;
  margin: 0;
  background-color: #fff;
  font-size: 1.6rem;
  font-weight: 500;
  font-family: var(---sans-font);
}

@media (max-width: 360px) {
  .post__nav-button {
    width: 40vw;
  }
}

.post__nav-button span {
  position: relative;
  color: #707070;
}

.post__nav-button--prev span {
  left: 8px;
}

.post__nav-button--next span {
  right: 8px;
}

.post__nav-button--next {
  margin-left: auto;
}

.post__nav-button::before {
  content: "";
  position: absolute;
  display: block;
  width: 8px;
  height: 14px;
  background-image: url(../images/common/pagination-arrow.svg);
  background-size: contain;
  background-repeat: no-repeat;
}

.post__nav-button--prev::before {
  left: 10px;
}

.post__nav-button--next::before {
  right: 10px;
  transform: scaleX(-1);
}

.post__nav-button--back {
  position: absolute;
  top: 75px;
  width: 100%;
}

@media (max-width: 340px) {
  .post__nav-button:first-child::before {
    left: 5px;
  }

  .post__nav-button:last-child::after {
    right: 5px;
  }
}

.post__swiper-wrapper--news {
  margin-bottom: 40px;
}

@media (min-width: 1000px) {
  .post {
    padding: 8rem 2rem 16rem;
  }

  .post__main-title {
    font-size: 3.2rem;
    line-height: 4.6rem;
    margin: 4rem auto;
  }

  .post__swiper {
    width: 100%;
    aspect-ratio: 744 / 419;
    margin-bottom: 24px;
  }

  .post-thumbs {
    width: 100%;
    position: relative;
    z-index: 3;
  }

  .post-thumbs .swiper-slide {
    width: calc(25% - 18px);
    aspect-ratio: 168 / 95;
    cursor: pointer;
  }

  .post__swiper-wrapper {
    position: relative;
  }

  .swiper-buttons {
    position: absolute;
    bottom: 22.5px;
    left: 50%;
    transform: translateX(-50%);
    width: calc(100% + 148px);
    margin: 0;
  }

  .swiper-button {
    width: 50px;
    height: 50px;
    cursor: pointer;
    transition: all 0.3s;
  }

  .swiper-button:hover {
    opacity: 0.7;
  }

  .post__info {
    width: 100%;
    margin: 3rem auto 4rem;
  }

  .post__subtitle {
    font-size: 2.4rem;
    line-height: 3.5rem;
    border-left: 16px solid #2d4074;
    padding: 1.3rem 2rem 1.2rem;
  }

  .post__subtitle--margin {
    margin-top: 6rem;
  }

  .post__sub-subtitle {
    font-size: 2rem;
    line-height: 2.9rem;
    margin: 6.4rem auto 4rem;
    padding: 0 1.6rem 1rem;
  }

  .post__text {
    width: calc(100% - 32px);
    margin: 0 auto;
  }

  .post__images {
    gap: 2.4rem;
    margin: 6.4rem 0 3.2rem;
  }

  .post__image {
    background-color: #707070;
    width: calc(50% - 12px);
    aspect-ratio: 360 / 194;
  }

  .link {
    margin-top: 6rem;
  }

  .post__swiper-wrapper--news {
    margin-bottom: 80px;
  }

  .post__nav--news {
    margin-top: 68px;
  }
}
